Iveco Turbostar – Beta 1.2 (1.39)

CHANGELOG:
– Fixed missing horn sound
– Fixed missing ui shadows
– Reworked engine sound
– Added original air horn sound
– Added Voith retarder sound
– Added front mudflaps
– Added red and black rear bumper for ridid chassis
– Added red color accessories
– Added paintable trailer rims

Credits:
Author: Ralf84 | Credits: Scaniaman1989, Fabian Modding, Ventyres, Dani Lee, Ekualizer, Peerke145, Kriechbaum, Mixer66, Baltazar

DOWNLOAD 388 MB
DOWNLOAD 388 MB [mirror]

9 thoughts on “Iveco Turbostar – Beta 1.2 (1.39)

  1. The mod is incompatible with 1.39 i cant active the mod (base one) cause saying “incompatible”. i can only active to the part1 file.

  2. Ralf84sGarage

    Maybe you are doing something wrong, because I have hundreds of clients and downloads, and none of them reported me the issue that you are having.

    1. How many ways are there to put a mod in the mod folder and activate it from the mod menu? Where can I go wrong? There is only one way I know, that is to add it to the mod folder and activate it from the mod menu like everyone else does! Sometimes you really bullshit. This mod is incompatible with version 1.39, please accept it now.

      1. Are you sure that you have activated the base with 1.39 in the photo? The file base and part 1 have 1.39 written in the mod photo; and no one have your issues, so maybe just check what you have activated in your mod manager, or buy new pair of glasses. Cheers!

      2. Ralf84sGarage

        I can accept that the mod is incompatible with 1.39 but at the moment, 231 clients and 841 users (only on Mediafire, without counting the downloads on MEGA) have downloaded the mod, so at least a total of 1072 users has it on 1.39 and none of them told me that is incompatible. So 1072 mods working against 1 non working. I find hard to believe that 1072 players can’t use it cause is incompatible, even also because I see pictures of my mod on facebook and videos on youtube about the 1.39 version working fine. In any case, if you give me the game.log, I can check it and see where the problem is.

  3. i have been playing this game for more than 5 years, i have more than 4k + game time, i have more than 30 mods in my mod folder, i am not a teenager, i am 40 years old, my profession is a computer technician, i mean i have an advanced understanding of the computer and operating system, but somehow when i install your mod somewhere. i m making a mistake and it is being my fault. Thanks for asnwer, by the way here, my game log https://drive.google.com/file/d/1bEzzRa8U7YaiTm2nR1Bs8Xi9eDJh1qxT/view?usp=sharing

  4. Ralf84sGarage

    I see that the running version is 1.38 here.

    From your game.log:

    “….00:00:01.184 : Euro Truck Simulator 2 init ver.1.38.1.15s”

    It can’t be compatible, since the mod is for 1.39 patch.

    1. i accidentally uploaded the old log file, just in case I backed it up my save game before 1.39. i will reupload the correct log file. sorry about that.

Leave a Reply

Your email address will not be published.

Human Verification: In order to verify that you are a human and not a spam bot, please enter the answer into the following box below based on the instructions contained in the graphic.